# About

UNL-VRTM is the UNified Linearized Radiative Transder Model Developed by
Richard (Xiaoguang Xu) and Jun Wang. Contributors also include Shouguo Ding, Jing
Zeng, Robert Spurr, Xiong Liu, Weizhen Hou, Yi Wang, Xi Chen, Meng Zhou etc.

# Version
v3.0.1
libraries are compiled with ifortxx.x.x

# References

  UNL-VRTM can be used to simulate radiance and polarization, as well as their
Jacobians with respect to aerosol, gas, and surface parameters.

  * Wang, J., X. Xu, S. Ding, J. Zeng, R. Spurr, X. Liu, K. Chance, and M.
     Mishchenko (2014), A numerical testbed for remote sensing of aerosols,
     and its demonstration for evaluating retrieval synergy from a
     geostationary satellite constellation of GEO-CAPE and GOES-R, Journal
     of Quantitative Spectroscopy and Radiative Transfer, 146(0), 510-528.
     (https://doi.org/10.1016/j.jqsrt.2014.03.020)

# License

This project is licensed under the MIT License - see the [LICENSE.txt](LICENSE.txt)
file for details.

# Compile

To compile, simply execute the bash script [build](build) in the main directory. However,
user needs to:
  * Use Intel Fotran compiler of the version as indicated in the unl-vrtm package
    filename. Use other Fotran compiler (or a different version of ifort) will
    will likely result in compiling errors.
  * Have netcdf (version 4.2 or newer) installed along with the Intel Fortran.
  * Set the evironment variable of NETCDF_PATH in [build](build).
  * Specify the target directory for UNL-VRTM executive, unl-vrtm.exe. Once the
    compilation sucess, unl-vrtm.exe is generated in the specified directory.

# Known & possible issues
