#!/bin/sh

#------------------------------------------------------------------------------
# This is smiple example jobs script with SLURM (e.g., maya.umbc, crane.unl)
#------------------------------------------------------------------------------
#SBATCH --job-name=unlvrtm
#SBATCH --time=00:30:00
#SBATCH --partition=batch
#SBATCH --error=job.%J.e
#SBATCH --output=job.%J.o

# unlimited memory and enable large stack size
ulimit -s unlimited
export KMP_STACKSIZE=9209715200

#------------------------------------------------------------------------------
# Load necessary modules (intel fortran and netcdf)
#------------------------------------------------------------------------------
# For argon@uiowa only:
#module load netcdf-fortran/4.4.4_parallel_studio-2017.1  # argon@uiowa

# For taki@umbc only:
module load intel/2018b
module load netCDF-Fortran/4.4.4-intel-2018b

# For Pleiades@NASA-NAS only:
#module load comp-intel/2015.3.187
#module load hdf4/4.2.12
#module load hdf5/1.8.18_serial
#module load netcdf/4.4.1.1_serial

#------------------------------------------------------------------------------
# Define your run & out directory
#------------------------------------------------------------------------------
rundir=./
outdir=./

#------------------------------------------------------------------------------
# Now go to the run directory and start to run
#------------------------------------------------------------------------------
cd $rundir
if [ ! -d "$outdir" ]; then
   mkdir $outdir
fi

time ./unlvrtm.exe

# finially delete the executable file
#rm ./unlvrtm.exe

